{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ project_details.name }}</h1>
            <p>{{ project_details.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </p>
            {% if project_details.tasks.all|length == 0 %}
                <p>This project has no tasks</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                        <tbody>
                            {% for task in project_details.tasks.all %}
                                <tr>
                                    <td>{{ task.name }}</td>
                                    <td>{{ task.assignee }}</td>
                                    <td>{{ task.start_date }}</td>
                                    <td>{{ task.due_date }}</td>
                                    <td>{{ task.is_completed }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </thead>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
